error: package target-sdk-provides-dummy-1.0-r0.sdk_provides_dummy_target is intended for a different architecture


Ramon Fried <rfried.dev@...>
 

Hi.
I'm trying to add python3-pyelftools to SDK,
I added "nativesdk" to BBCLASSEXTEND and added "nativesdk-python3-pyelftools" to TOOLCHAIN_HOST_TASK.
When running bitbake -c populate_sdk results in the error: package target-sdk-provides-dummy-1.0-r0.sdk_provides_dummy_target is intended for a different architecture.
 
I used the same procedure to add different python dependency I need for the SDK and it worked, but for this specific Python package I get the error.
Anyone knows what it means ?
Thanks,
Ramon

Join yocto@lists.yoctoproject.org to automatically receive all group messages.